classification
Title: The copy module already uses copyreg
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: ezio.melotti Nosy List: daniel.urban, docs@python, ezio.melotti, fdrake, hans-meine, python-dev, rhettinger, sandro.tosi
Priority: normal Keywords: patch

Created on 2011-03-13 09:47 by daniel.urban, last changed 2014-03-24 18:57 by hans-meine. This issue is now closed.

Files
File name Uploaded Description Edit
issue11481.patch sandro.tosi, 2011-08-05 23:59 review
issue11481-v2.patch sandro.tosi, 2011-08-06 17:14 review
Messages (6)
msg130732 - (view) Author: Daniel Urban (daniel.urban) * Date: 2011-03-13 09:47
In the copyreg documentation there is this sentence: "The copy module is likely to use this in the future as well." (http://docs.python.org/dev/py3k/library/copyreg) But the copy module already uses the copyreg module.
msg141697 - (view) Author: Sandro Tosi (sandro.tosi) * (Python committer) Date: 2011-08-05 23:59
A quick reword could be the one attached.
msg141723 - (view) Author: Sandro Tosi (sandro.tosi) * (Python committer) Date: 2011-08-06 17:14
After quite a long chat with Ezio, I'm just proposing this updated patch:

- it fixes the copy doc, explicitly acknowledging the use of copyreg functionalities
- it rewords the first paragraph of copyreg doc, which was a bit too pickle-centric
- it adds an example to copyreg, to give an initial clue of how it works.

I'd like to hear comments/suggestions about it.
msg175143 - (view) Author: Roundup Robot (python-dev) Date: 2012-11-08 09:06
New changeset 2bd6150b48ea by Ezio Melotti in branch '2.7':
#11481: update copy_reg docs and add example.
http://hg.python.org/cpython/rev/2bd6150b48ea

New changeset e089bdca9d9c by Ezio Melotti in branch '2.7':
#11481: fix markup.
http://hg.python.org/cpython/rev/e089bdca9d9c

New changeset 12dbb3187105 by Ezio Melotti in branch '3.2':
#11481: update copyreg docs and add example.
http://hg.python.org/cpython/rev/12dbb3187105

New changeset 87ec3ce3a04e by Ezio Melotti in branch '3.3':
#11481: merge with 3.2.
http://hg.python.org/cpython/rev/87ec3ce3a04e

New changeset 20b65b88e0a0 by Ezio Melotti in branch 'default':
#11481: merge with 3.3.
http://hg.python.org/cpython/rev/20b65b88e0a0
msg175144 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2012-11-08 09:07
I made a few minor changes and applied the patch.
msg214710 - (view) Author: hans.meine (hans-meine) Date: 2014-03-24 18:57
Maybe some 2.7 backport is missing w.r.t. the documentation of the copy module?  At least, http://docs.python.org/2/library/copy.html still states: "The copy module does not use the copy_reg registration module."
History
Date User Action Args
2014-03-24 18:57:04hans-meinesetnosy: + hans-meine

messages: + msg214710
versions: - Python 3.2, Python 3.3
2012-11-08 09:07:21ezio.melottisetstatus: open -> closed
type: enhancement
messages: + msg175144

assignee: docs@python -> ezio.melotti
resolution: fixed
stage: patch review -> resolved
2012-11-08 09:06:30python-devsetnosy: + python-dev
messages: + msg175143
2011-08-06 17:14:11sandro.tosisetfiles: + issue11481-v2.patch
nosy: + fdrake, rhettinger
messages: + msg141723

2011-08-05 23:59:30sandro.tosisetfiles: + issue11481.patch

versions: + Python 2.7, - Python 3.1
keywords: + patch
nosy: + ezio.melotti, sandro.tosi

messages: + msg141697
stage: patch review
2011-03-13 09:47:48daniel.urbancreate